Bug 170159 - A disabled HTML 4 button should not be able to receive mouse clicks or user inputs
Summary: A disabled HTML 4 button should not be able to receive mouse clicks or user i...
Status: VERIFIED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml (show other bugs)
Version: 4.1.0
Platform: Microsoft Windows All
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL: http://www.gtalbot.org/BrowserBugsSec...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-01 02:58 UTC by Gérard Talbot (no longer involved)
Modified: 2009-06-17 00:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gérard Talbot (no longer involved) 2008-09-01 02:58:10 UTC
Testcase:
http://www.gtalbot.org/BrowserBugsSection/MSIE8Bugs/ClickabilityOfDisabledButton.html

Reference:
"
When set, the disabled attribute has the following effects on an element:

    * Disabled controls do not receive focus.
    * Disabled controls are skipped in tabbing navigation.
    * Disabled controls cannot be successful.
"
http://www.w3.org/TR/html4/interact/forms.html#adef-disabled

Expected results:
a) When clicking the test button, the button should not be depressed or should not look depressed.
b) When clicking the test button, there should be no alert.

Actual results in Konqueror 4.1 for Windows:
a) When clicking the test button, the button is depressed, looks depressed.
b) When clicking the test button, there is an alert saying: "Your browser FAILED this test. A disabled push button should NOT be able to receive user mouse clicks.".

I searched for a DUPLICATE and did not find any.

Regards, Gérard
Comment 1 Maksim Orlovich 2008-10-18 19:15:30 UTC
SVN commit 873068 by orlovich:

Fixed disabled <button> dispatching events and getting pressed-down.
Probably want to tweak the CSS some more to grey out the font, though.

BUG:170159


 M  +1 -1      css/html4.css  
 M  +2 -4      khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=873068
Comment 2 Maksim Orlovich 2008-10-18 19:18:05 UTC
SVN commit 873071 by orlovich:

Merged revision 873068:
Fixed disabled <button> dispatching events and getting pressed-down.
Probably want to tweak the CSS some more to grey out the font, though.

BUG:170159

 M  +1 -1      css/html4.css  
 M  +2 -4      khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=873071
Comment 3 Gérard Talbot (no longer involved) 2008-10-18 21:58:49 UTC
> to tweak the CSS some more to grey out the font

Correct. Agreed.

Gérard
Comment 4 Gérard Talbot (no longer involved) 2009-06-17 00:57:17 UTC
> to tweak the CSS some more to grey out the font

I just filed bug 196816 on this issue.

Marking this bug 170159 as VERIFIED

regards, Gérard